Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory
Class TransactionalMapWrapper.HashEntry

    java.lang.Object
      org.apache.commons.transaction.memory.TransactionalMapWrapper.HashEntry

All Implemented Interfaces:
  Map.Entry

Enclosing class:
  TransactionalMapWrapper

protected static class TransactionalMapWrapper.HashEntry
extends Object
implements Map.Entry

Field Summary
`protected Object` | `key` The key
`protected Object` | `value` The value

Constructor Summary
`protected` | `TransactionalMapWrapper.HashEntry(Object key, Object value)`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `getKey()`
`Object` | `getValue()`
`int` | `hashCode()`
`Object` | `setValue(Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected Object key

  The key

### value

    protected Object value

  The value

Constructor Detail

### TransactionalMapWrapper.HashEntry

    protected TransactionalMapWrapper.HashEntry(Object key,
                                                Object value)

Method Detail

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `Map.Entry`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `Map.Entry`

### setValue

    public Object setValue(Object value)

  Specified by:
    `setValue` in interface `Map.Entry`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map.Entry`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry`

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.